tests/bz1031154: skip if selinux is disabled

With selinux disabled the test currently fails trying to setenforce, it
should be skipped instead. Found while trying to run in a container
where selinux always appears disabled.

Signed-off-by: Artem Savkov <asavkov@redhat.com>
Signed-off-by: David Howells <dhowells@redhat.com>
diff --git a/tests/bugzillas/bz1031154/runtest.sh b/tests/bugzillas/bz1031154/runtest.sh
index aee8a28..d90afb4 100644
--- a/tests/bugzillas/bz1031154/runtest.sh
+++ b/tests/bugzillas/bz1031154/runtest.sh
@@ -20,6 +20,7 @@
     exit 0
 fi
 
+require_selinux
 require_command getenforce
 require_command setenforce
 require_command runcon
diff --git a/tests/toolbox.inc.sh b/tests/toolbox.inc.sh
index 602218c..140be66 100644
--- a/tests/toolbox.inc.sh
+++ b/tests/toolbox.inc.sh
@@ -115,6 +115,15 @@
     fi
 }
 
+function require_selinux ()
+{
+    if ! grep -q selinuxfs /proc/mounts;
+    then
+	toolbox_skip_test $TEST "SKIP DUE TO DISABLED SELINUX"
+	exit 0
+    fi
+}
+
 ###############################################################################
 #
 # extract an error message from the log file and check it